<?php
session_start();
$id_session=$_SESSION['id_estrategia'];
include "./var.php";
$fechahoy = date("Y-m-d");//fecha fin
$fecha2 = date("2016-01-16");//fecha inicio fecha mayor
$proyectosnombres = getproyectosoptiontext();
require_once('../Connections/internet.php');
//echo $respuestaarray = getperiodos($fecha2, $fechahoy, '', '', '', '');
//getperiodos($fechainicio, $fechafin, $suma, $clasificacionegreso, $tdgasto, $centrodecostos)


echo $respuestafun = getperiodos($fecha2, $fechahoy,"","DIRECTO VARIABLE","Administrativo", "EL MADRESAL");
//var_dump($respuestafun);

$anohoy = date('y', strtotime($fechahoy));
$meshoy = date('m', strtotime($fechahoy));
$diahoy = date('d', strtotime($fechahoy));

$ano2 = date('y', strtotime($fecha2));
$mes2 = date('m', strtotime($fecha2));
$dia2 = date('d', strtotime($fecha2));
if(($anohoy > $ano2) || ($anohoy == $ano2)){
  if(($meshoy > $mes2) || ($meshoy == $mes2) || (($meshoy < $mes2) && ($anohoy > $ano2)) && (($anohoy > $ano2) || ($anohoy == $ano2))){
    if(
      (($diahoy > $dia2)  || ($diahoy == $dia2)) 
      && (($anohoy > $ano2) || ($anohoy == $ano2))
      || (($meshoy < $mes2) && ($anohoy > $ano2)) 
      || (($diahoy < $dia2) && ($meshoy < $mes2) && ($anohoy > $ano2))
      || (($diahoy < $dia2) && ($meshoy > $mes2))
      || (($diahoy < $dia2) && ($meshoy > $mes2)))
      {        
      $calcfecha = "Fecha ".$fechahoy." es mayor a ".$fecha2." o igual";
      $difdia = $diahoy - $dia2;
      $difmes = $meshoy - $mes2;
      $difano = $anohoy - $ano2;
      $resp="";
      $diferencia = "ano: ".$difano." mes: ".$difmes." dia: ".$difdia;
      $x = 0;
      do { 
        $i = 0;
        do {
            switch ($mes2) {
              case '1':{
                $resp .="1 ".$ano2."<br>"; 
              }break;
              case '2':{
                $resp .="2 ".$ano2."<br>"; 
              }break;
              case '3':{
                $resp .="3 ".$ano2."<br>"; 
              }break;
              case '4':{
                $resp .="4 ".$ano2."<br>"; 
              }break;
              case '5':{
                $resp .="5 ".$ano2."<br>"; 
              }break;
              case '6':{
                $resp .="6 ".$ano2."<br>"; 
              }break;
              case '7':{
                $resp .="7 ".$ano2."<br>"; 
              }break;
              case '8':{
                $resp .="8 ".$ano2."<br>"; 
              }break;
              case '9':{
                $resp .="9 ".$ano2."<br>"; 
              }break;
              case '10':{
                $resp .="10 ".$ano2."<br>"; 
              }break;
              case '11':{
                $resp .="11 ".$ano2."<br>"; 
              }break;
              case '12':{
                $resp .="12 ".$ano2."<br>"; 
              }break;

              default:
                # code...
                break;
              }
              $mes2++;
              if(($ano2==$anohoy)&&($meshoy+1==$mes2)){
                break;
              }
              if($mes2==13){
                $mes2=1;
                $ano2++;
              }
        } while ($ano2 < $anohoy+1);
        /*echo $mes2;
        echo "<br>";
        echo $mes2;*/
        $ano2++;
      } while ($ano2 < $anohoy);
      /*echo "<br>";
      echo $anohoy;
      echo "<br>";
      echo $ano2;*/



      /*for ($i=0; $i < $difano; $i++) { 
        for ($i=0; $i < $difmes; $i++) { 
          
        }
      }*/

    }else{
      $calcfecha = "La primera fecha debe ser mayor dia";
    }
  }else{
    $calcfecha = "La primera fecha debe ser mayor mes ";
  }
}else{
  $calcfecha = "La primera fecha debe ser mayor año";
}



$db = new mysqli(SERVER,USERNAME, PASSWORD,DATABASE);
      if ($db->connect_errno){
          error_log("Error al conectar a la base de datos");
          end;
      }
      mysql_select_db($database_internet, $internet);

      /*$query = "SELECT h.idProyecto, h.idMes, p.Proyecto, m.Mes, SUM(h.horas) as hrs, 
      ROUND((SUM(h.Horas)*100)/ (SELECT SUM(horas) as tot FROM Horas WHERE ano = '$Ano' and idMes = h.idMes) ,2) as PCT 
      FROM Horas h 
      INNER JOIN Proyecto p ON h.idProyecto = p.idProyecto 
      INNER JOIN Mes m ON h.idMes = m.idMes WHERE h.Ano = '2017' and  Proyecto = 'EL MADRESAL'
      GROUP BY h.idProyecto, h.idMes";*/

      /*$query = "SELECT h.idProyecto, h.idMes, p.Proyecto, m.Mes, SUM(h.horas) as hrs, 
            ROUND((SUM(h.Horas)*100)/ (SELECT SUM(horas) as tot FROM Horas WHERE ano = '$Ano' and idMes = h.idMes) ,2) as PCT 
            FROM Horas h 
            INNER JOIN Proyecto p ON h.idProyecto = p.idProyecto 
            INNER JOIN Mes m ON h.idMes = m.idMes WHERE h.Ano = '2017' 
            GROUP BY h.idProyecto, h.idMes";*/

      $query = "SELECT h.idProyecto, h.idMes, p.Proyecto, m.Mes, SUM(h.horas) as hrs, ROUND((SUM(h.Horas)*100)/ (SELECT SUM(horas) as tot FROM Horas WHERE ano = '2017' and idMes = h.idMes) ,2) as PCT FROM Horas h INNER JOIN Proyecto p ON h.idProyecto = p.idProyecto INNER JOIN Mes m ON h.idMes = m.idMes WHERE h.Ano = 2017 GROUP BY h.idProyecto, h.idMes";
      
      $resultado = mysql_query($query, $internet) or die(mysql_error());
      $tabla=<<<tab
<table border=2 width="95%">
    <thead>
    <tr>
        <td width="15%"><b>Proyecto</b></td>
        <td width="10%"><b>Enero</b></td>
        <td width="10%"><b>Febrero</b></td>
        <td width="10%"><b>Marzo</b></td>
        <td width="10%"><b>Abril</b></td>
        <td width="10%"><b>Mayo</b></td>
        <td width="10%"><b>Junio</td>
        <td width="10%"><b>Julio</td>
        <td width="10%"><b>Agosto</b></td>
        <td width="10%"><b>Septiembre</b></td>
        <td width="10%"><b>Octubre</b></td>
        <td width="10%"><b>Noviembre</b></td>
        <td width="10%"><b>Diciembre</b></td>
    </tr>
    <tbody>

    </tbody>
</table>
</body>
</html>
tab;
$resultado = mysql_query($query, $internet) or die(mysql_error());  

    if (mysql_num_rows($resultado)>0){
      while($row=mysql_fetch_assoc($resultado))
        {
          //$reulstadostable .=  var_dump($row);
          $proyecto = $row['Proyecto'];
          $Mes = $row['Mes'];
          $hrs = $row['hrs'];
          $PCT = $row['PCT'];
          $tot = $row['tot'];
          $h = $row['h'];
          $proyecto = $row['Proyecto'];
          $proyecto = $row['Proyecto'];
          $proyecto = $row['Proyecto'];
          $proyecto = $row['Proyecto'];
          $proyecto = $row['Proyecto'];
          $proyecto = $row['Proyecto'];
          $proyecto = $row['Proyecto'];
          switch($row['Mes'])
        {
            case 'ENE': $ENE = $row['PCT']; break;
            case 'FEB': $FEB = $row['PCT']; break;
            case 'MAR': $MAR = $row['PCT']; break;
            case 'ABR': $ABR = $row['PCT']; break;
            case 'MAY': $MAY = $row['PCT']; break;
            case 'JUN': $JUN = $row['PCT']; break;
            case 'JUL': $JUL = $row['PCT']; break;
            case 'AGO': $AGO = $row['PCT']; break;
            case 'SEP': $SEP = $row['PCT']; break;
            case 'OCT': $OCT = $row['PCT']; break;
            case 'NOV': $NOV = $row['PCT']; break;
            case 'DIC': $DIC = $row['PCT']; break;
        }
          $reulstadostable .=<<<php
          <tr>
            <td>$proyecto</td>
            <td>$ENE</td>
            <td>$FEB</td>
            <td>$MAR</td>
            <td>$ABR</td>
            <td>$MAY</td>
            <td>$JUN</td>
            <td>$JUL</td>
            <td>$AGO</td>
            <td>$SEP</td>
            <td>$OCT</td>
            <td>$NOV</td>
            <td>$DIC</td>
          </tr>
php;
          $ENE = "";
          $FEB = "";
          $MAR = "";
          $ABR = "";
          $MAY = "";
          $JUN = "";
          $JUL = "";
          $AGO = "";
          $SEP = "";
          $OCT = "";
          $NOV = "";
          $DIC = "";
        }
        /*$rowAnt = "";
        $cont = 0;
        $arrRegs = array('ProyectoX','0','0','0','0','0','0','0','0','0','0','0','0');
        $numRegs = mysql_num_rows($resultado);
        $numRegs -= 1;
        while($row=mysql_fetch_assoc($resultado))
        {
            CreateTable($numRegs,$cont,$rowAnt,$row,$arrRegs,'');
        }*/
    }

          $tabla=<<<tab
<table border=2 width="95%">
    <thead>
    <tr>
        <td width="15%"><b>Proyecto</b></td>
        <td width="10%"><b>Enero</b></td>
        <td width="10%"><b>Febrero</b></td>
        <td width="10%"><b>Marzo</b></td>
        <td width="10%"><b>Abril</b></td>
        <td width="10%"><b>Mayo</b></td>
        <td width="10%"><b>Junio</td>
        <td width="10%"><b>Julio</td>
        <td width="10%"><b>Agosto</b></td>
        <td width="10%"><b>Septiembre</b></td>
        <td width="10%"><b>Octubre</b></td>
        <td width="10%"><b>Noviembre</b></td>
        <td width="10%"><b>Diciembre</b></td>
    </tr>
    <tbody>
    $reulstadostable
    </tbody>
</table>
</body>
</html>
tab;

$adicionales=<<<sss
<script src="../js/scripttable.js"></script>
<!--<script src="../vendors/ion.rangeSlider/js/ion.rangeSlider.min.js"></script>-->
<script>
var id_session = "$id_session";
$('#example2').DataTable();
var table = $('#example2').DataTable();

$('#example2 tbody').on( 'click', 'tr', function () {
    if ( $(this).hasClass('selected') ) {
        $(this).removeClass('selected');
    }
    else {
        table.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');
    }
} );

</script>
sss;
echo $varfirst;

echo $var=<<<llll
<div class="right_col" role="main">
    <div class="col-md-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2><strong>CUENTA DE RESULTADOS: </strong> <small></small></h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  
                  <div class="x_content">
                    <br />
                    <form id="demo-form2" data-parsley-validate class="form-horizontal form-label-left">
                      <div class="form-group">
                        <div class="col-md-6 col-sm-6 col-xs-12">
                          <input id="fechahoy" class="form-control col-md-7 col-xs-12" type="hidden" name="fechahoy" required="required" value="$fechahoy">
                        </div>
                      </div>

                      <div class="form-group">
                        <label class="control-label col-md-3 col-sm-3 col-xs-12" for="last-name">REPORTE :
                        </label>
                        <input id="reporteglobal" type="radio" name="4" value="1">&nbsp;&nbsp;&nbsp;<label>GLOBAL</label>
                      </div>
                      
                      <div class="form-group">
                        <label class="control-label col-md-3 col-sm-3 col-xs-12" for="last-name">CENTRO DE COSTOS:
                        </label>
                        <input id="centrodeco" type="radio" name="4" value="2">
                        
                        <div class="col-md-6 col-sm-6 col-xs-12">
                          <select class="form-control" id="centrodecostos" required="required">
                            <option value="">Seleccione Centro de Costos</option>
                            $proyectosnombres
                          </select>
                        </div>
                      </div>

                      


                      <div class="form-group">
                        <label class="control-label col-md-3 col-sm-3 col-xs-12" for="last-name">SELECCIONE FECHA INICIO Y FECHA FIN:
                        </label>
                        <div class="col-md-3 col-sm-3 col-xs-3">
                          <input id="fechainicio" class="form-control col-md-4" type="date" name="fechahoy" required="required" value="$fechahoy">
                        </div>

                        <div class="col-md-3 col-sm-3 col-xs-3">
                          <input id="fechafin" class="form-control col-md-4" type="date" name="fechahoy" required="required" value="$fechahoy">
                        </div>
                      </div>
                      <div class="ln_solid"></div>
                      <div class="form-group">
                        <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-3">
                          <button id="limpiargastos" class="btn btn-primary" type="reset">Limpiar</button>
                          <button type="button" class="btn btn-success" onclick="generafechacalc();">Buscar</button>
                        </div>
                      </div>
                      <br><br>
                      $tabla

                      <table class="table table-striped jambo_table bulk_action dataTable no-footer" id="example3" cellspacing="0" role="grid" aria-describedby="example3_info">

 <tbody>
 <tr >
  <td ></td>
  <td>CUENTA DE RESULTADOS</td>
  <td colspan="4" style="mso-ignore:colspan"></td>
 </tr>
 <tr >
  <td height="20" colspan="6" ></td>
 </tr>
 <tr >
  <td ></td>
  <td>Ingresos o ventas netas</td>
  <td colspan="2" style="mso-ignore:colspan"></td>
  <td class="xl65">&nbsp;</td>
  <td><input id="ingresost" class="form-control col-md-6" type="text" name="ingresost" required="required" value="$"></td>
 </tr>
 <tr >
  <td height="20" colspan="6" ></td>
 </tr>
 <tr >
  <td ></td>
  <td>- DIRECTOS FIJOS</td>
  <td>GASTOS OPERATIVOS</td>
  <td></td>
  <td class="xl65">&nbsp;</td>
  <td><input id="dfijosop" class="form-control col-md-6" type="text" name="dfijosop" required="required" value="$"></td>
 </tr>
 <tr >
  <td ></td>
  <td>- DIRECTOS VARIABLES</td>
  <td>GASTOS OPERATIVOS</td>
  <td></td>
  <td class="xl65">&nbsp;</td>
  <td><input id="dvariablesop" class="form-control col-md-6" type="text" name="dvariablesop" required="required" value="$"></td>
 </tr>
 <tr >
  <td height="20" colspan="6" ></td>
 </tr>
 <tr >
  <td ></td>
  <td>Margen Bruto</td>
  <td colspan="2" style="mso-ignore:colspan"></td>
  <td class="xl65">&nbsp;</td>
  <td><input id="margenbruto" class="form-control col-md-6" type="text" name="margenbruto" required="required" value="$"></td>
 </tr>
 <tr >
  <td height="20" colspan="6" ></td>
 </tr>
 <tr >
  <td ></td>
  <td>- DIRECTOS FIJOS</td>
  <td>GASTOS ADMMON</td>
  <td></td>
  <td class="xl65">&nbsp;</td>
  <td><input id="dfijoadmon" class="form-control col-md-6" type="text" name="dfijoadmon" required="required" value="$"></td>
 </tr>
 <tr >
  <td ></td>
  <td>- DIRECTOS VARIABLES</td>
  <td>GASTOS ADMMON</td>
  <td></td>
  <td class="xl65">&nbsp;</td>
  <td><input id="dvgadmon" class="form-control col-md-6" type="text" name="dvgadmon" required="required" value="$"></td>
 </tr>
 <tr >
  <td ></td>
  <td>- INDIRECTOS FIJOS</td>
  <td>GASTOS ADMMON</td>
  <td></td>
  <td class="xl65">&nbsp;</td>
  <td><input id="indfijosgadmon" class="form-control col-md-6" type="text" name="indfijosgadmon" required="required" value="$"></td>
 </tr>
 <tr >
  <td ></td>
  <td>- INDIRECTOS VARIABLES</td>
  <td>GASTOS ADMMON</td>
  <td></td>
  <td class="xl65">&nbsp;</td>
  <td><input id="indvargastadmon" class="form-control col-md-6" type="text" name="indvargastadmon" required="required" value="$"></td>
 </tr>
 <tr >
  <td ></td>
  <td>- DIRECTOS FIJOS</td>
  <td>GASTOS VTAS</td>
  <td></td>
  <td class="xl65">&nbsp;</td>
  <td><input id="directosvargventas" class="form-control col-md-6" type="text" name="directosvargventas" required="required" value="$"></td>
 </tr>
 <tr >
  <td ></td>
  <td>- DIRECTOS VARIABLES</td>
  <td>GASTOS VTAS</td>
  <td></td>
  <td class="xl65">&nbsp;</td>
  <td><input id="dvgventas" class="form-control col-md-6" type="text" name="dvgventas" required="required" value="$"></td>
 </tr>
 <tr >
  <td ></td>
  <td>- INDIRECTOS FIJOS</td>
  <td>GASTOS VTAS</td>
  <td></td>
  <td class="xl65">&nbsp;</td>
  <td><input id="ifgventas" class="form-control col-md-6" type="text" name="ifgventas" required="required" value="$"></td>
 </tr>
 <tr >
  <td ></td>
  <td>- INDIRECTOS VARIABLES</td>
  <td>GASTOS VTAS</td>
  <td></td>
  <td class="xl65">&nbsp;</td>
  <td><input id="ivgventas" class="form-control col-md-6" type="text" name="ivgventas" required="required" value="$"></td>
 </tr>
 <tr >
  <td ></td>
  <td>- INDIRECTOS FIJOS</td>
  <td>GASTOS OPERATIVOS</td>
  <td></td>
  <td class="xl65">&nbsp;</td>
  <td><input id="ifgoerativos" class="form-control col-md-6" type="text" name="ifgoerativos" required="required" value="$"></td>
 </tr>
 <tr >
  <td ></td>
  <td>- INDIRECTOS VARIABLES</td>
  <td>GASTOS OPERATIVOS</td>
  <td></td>
  <td class="xl65">&nbsp;</td>
  <td><input id="ivgoperativos" class="form-control col-md-6" type="text" name="ivgoperativos" required="required" value="$"></td>
 </tr>
 <tr >
  <td height="20" colspan="6"></td>
 </tr>
 <tr >
  <td ></td>
  <td>Resultado operativo</td>
  <td colspan="2" style="mso-ignore:colspan"></td>
  <td class="xl65">&nbsp;</td>
  <td><input id="resultadooperativo" class="form-control col-md-6" type="text" name="resultadooperativo" required="required" value="$"></td>
 </tr>
 <tr >
  <td height="20" colspan="6" ></td>
 </tr>
 <tr >
  <td ></td>
  <td>- DIRECTOS FIJOS</td>
  <td>GASTOS FINANCIEROS</td>
  <td></td>
  <td class="xl65">&nbsp;</td>
  <td><input id="dfgfinancieros" class="form-control col-md-6" type="text" name="dfgfinancieros" required="required" value="$"></td>
 </tr>
 <tr >
  <td ></td>
  <td>- DIRECTOS VARIABLES</td>
  <td>GASTOS FINANCIEROS</td>
  <td></td>
  <td class="xl65">&nbsp;</td>
  <td><input id="dvgfinancieros" class="form-control col-md-6" type="text" name="dvgfinancieros" required="required" value="$"></td>
 </tr>
 <tr >
  <td ></td>
  <td>- INDIRECTOS FIJOS</td>
  <td>GASTOS FINANCIEROS</td>
  <td></td>
  <td class="xl65">&nbsp;</td>
  <td><input id="ifgfinancieros" class="form-control col-md-6" type="text" name="ifgfinancieros" required="required" value="$"></td>
 </tr>
 <tr >
  <td ></td>
  <td>- INDIRECTOS VARIABLES</td>
  <td>GASTOS FINANCIEROS</td>
  <td></td>
  <td class="xl65">&nbsp;</td>
  <td><input id="ivgfinancieros" class="form-control col-md-6" type="text" name="ivgfinancieros" required="required" value="$"></td>
 </tr>
 <tr >
  <td height="20" colspan="6" ></td>
 </tr>
 <tr >
  <td ></td>
  <td>Resultado financiero antes de impuestos</td>
  <td colspan="2" style="mso-ignore:colspan"></td>
  <td class="xl65">&nbsp;</td>
  <td><input id="resultadofinancieroaimp" class="form-control col-md-6" type="text" name="resultadofinancieroaimp" required="required" value="$"></td>
 </tr>
 <tr >
  <td height="20" colspan="6" ></td>
 </tr>
 <tr >
  <td ></td>
  <td>- DIRECTOS FIJOS</td>
  <td>GASTOS ADMMON IMPUESTOS</td>
  <td></td>
  <td class="xl65">&nbsp;</td>
  <td><input id="dfgadmonimp" class="form-control col-md-6" type="text" name="dfgadmonimp" required="required" value="$"></td>
 </tr>
 <tr >
  <td ></td>
  <td>- DIRECTOS VARIABLES</td>
  <td>GASTOS ADMMON IMPUESTOS</td>
  <td></td>
  <td class="xl65">&nbsp;</td>
  <td><input id="dvgadmonimp" class="form-control col-md-6" type="text" name="dvgadmonimp" required="required" value="$"></td>
 </tr>
 <tr >
  <td ></td>
  <td>- INDIRECTOS FIJOS</td>
  <td>GASTOS ADMMON IMPUESTOS</td>
  <td></td>
  <td class="xl65">&nbsp;</td>
  <td><input id="ifgadmonimp" class="form-control col-md-6" type="text" name="ifgadmonimp" required="required" value="$"></td>
 </tr>
 <tr >
  <td ></td>
  <td>- INDIRECTOS VARIABLES</td>
  <td>GASTOS ADMMON IMPUESTOS</td>
  <td></td>
  <td class="xl65">&nbsp;</td>
  <td><input id="ivgadmonimp" class="form-control col-md-6" type="text" name="ivgadmonimp" required="required" value="$"></td>
 </tr>
 <tr >
  <td height="20" colspan="6" ></td>
 </tr>
 <tr >
  <td ></td>
  <td>Resultado neto</td>
  <td colspan="2" ></td>
  <td class="xl65">&nbsp;</td>
  <td><input id="resultadoneto" class="form-control col-md-6" type="text" name="resultadoneto" required="required" value="$"></td>
 </tr>
</tbody></table>
</div>
</div>
</div>
</div>

llll;
echo $varend;
echo $adicionales;
echo $cerrarend;

function getperiodos2($fechainicio, $fechafin, $suma, $clasificacionegreso, $tdgasto, $centrodecostos){
//$fechahoy = $_GET['fechainicio'];//17/01/2017
//$fecha2 = $_GET['fechafin'];//30/02/2017

$anohoy = date('y', strtotime($fechafin));//2017
$meshoy = date('m', strtotime($fechafin));//02
$diahoy = date('d', strtotime($fechafin));//30

$ano2 = date('y', strtotime($fechainicio));//2017
$mes2 = date('m', strtotime($fechainicio));//01
$dia2 = date('d', strtotime($fechainicio));//17

if(($anohoy > $ano2) || ($anohoy == $ano2)){
  if(($meshoy > $mes2) || ($meshoy == $mes2) || (($meshoy < $mes2) && ($anohoy > $ano2)) && (($anohoy > $ano2) || ($anohoy == $ano2))){
    if(
      (($diahoy > $dia2)  || ($diahoy == $dia2)) 
      && (($anohoy > $ano2) || ($anohoy == $ano2))
      || (($meshoy < $mes2) && ($anohoy > $ano2)) 
      || (($diahoy < $dia2) && ($meshoy < $mes2) && ($anohoy > $ano2))
      || (($diahoy < $dia2) && ($meshoy > $mes2))
      || (($diahoy < $dia2) && ($meshoy > $mes2)))
      {        

      $calcfecha = "Fecha ".$fecha2." es mayor a ".$fechahoy." o  es igual";
      //$calcfecha = "Fecha ".$fecha2." es mayor a ".$fechahoy." o  es igual";
      $difdia = $diahoy - $dia2;
      $difmes = $meshoy - $mes2;
      $difano = $anohoy - $ano2;
      $resp="";
      $diferencia = "ano: ".$difano." mes: ".$difmes." dia: ".$difdia;
      $x = 0;
      do { 
        $i = 0;
        do {
            switch ($mes2) {
              case '1':{
                $resp .="1 - ".$ano2."<br>";
                $meseseano[$i]=1;
                $anos[$i]= $ano2;
              }break;
              case '2':{
                $resp .="2- ".$ano2."<br>"; 
                $meseseano[$i]=2;
                $anos[$i]=$ano2;
              }break;
              case '3':{
                $resp .="3- ".$ano2."<br>"; 
                $meseseano[$i]=3;
                $anos[$i]=$ano2;
              }break;
              case '4':{
                $resp .="4- ".$ano2."<br>"; 
                $meseseano[$i]=4;
                $anos[$i]=$ano2;
              }break;
              case '5':{
                $resp .="5- ".$ano2."<br>"; 
                $meseseano[$i]=5;
                $anos[$i]=$ano2;
              }break;
              case '6':{
                $resp .="6- ".$ano2."<br>"; 
                $meseseano[$i]=6;
                $anos[$i]=$ano2;
              }break;
              case '7':{
                $resp .="7- ".$ano2."<br>"; 
                $meseseano[$i]=7;
                $anos[$i]=$ano2;
              }break;
              case '8':{
                $resp .="8- ".$ano2."<br>";
                $meseseano[$i]=8;
                $anos[$i]= $ano2;
              }break;
              case '9':{
                $resp .="9- ".$ano2."<br>"; 
                $meseseano[$i]=9;
                $anos[$i]=$ano2;
              }break;
              case '10':{
                $resp .="10- ".$ano2."<br>"; 
                $meseseano[$i]=10;
                $anos[$i]=$ano2;
              }break;
              case '11':{
                $resp .="11- ".$ano2."<br>"; 
                $meseseano[$i]=11;
                $anos[$i]=$ano2;
              }break;
              case '12':{
                $resp .="12- ".$ano2."<br>"; 
                $meseseano[$i]=12;
                $anos[$i]=$ano2;
              }break;
              
              default:
                # code...
                break;
              }
              $i++;
              $mes2++;
              if(($ano2==$anohoy)&&($meshoy+1==$mes2)){
                break;
              }
              if($mes2==13){
                $mes2=1;
                $ano2++;
              }
        } while ($ano2 < $anohoy+1);
        /*echo $mes2;
        echo "<br>";
        echo $mes2;*/
        $ano2++;
      } while ($ano2 < $anohoy);
    /*  echo "<br>";
      echo $anohoy;
      echo "<br>";
      echo $ano2;
*/


      /*for ($i=0; $i < $difano; $i++) { 
        for ($i=0; $i < $difmes; $i++) { 
          
        }
      }*/

    }else{
      $calcfecha = "La segunda fecha debe ser mayor dia";
    }
  }else{
    $calcfecha = "La segunda fecha debe ser mayor mes ";
  }
}else{
  $calcfecha = "La segunda fecha debe ser mayor año";
}
require_once('../Connections/internet.php');

for ($i=0; $i <count($meseseano); $i++) { 
  $obj16= new db();
  $kueryreal16 = "SELECT sum(`subreal`) as treal FROM egreso_datos WHERE `cc`= 'EL MADRESAL' and  (fechamontoreal > '$fechainicio' and fechamontoreal < '$fechafin' ) and tdgasto = 'Administrativo' and clasificacionegreso='DIRECTO VARIABLE' group by cc";
  $resultmontreal1 = $obj16->consultaregistros($kueryreal16);
  $subreal1 = $resultmontreal1[0]['treal'];



  $db = new mysqli(SERVER,USERNAME, PASSWORD,DATABASE);
      if ($db->connect_errno){
          error_log("Error al conectar a la base de datos");
          end;
      }
      mysql_select_db($database_internet, $internet);
  $query = "SELECT h.idProyecto, h.idMes, p.Proyecto, m.Mes, SUM(h.horas) as hrs, ROUND((SUM(h.Horas)*100)/ (SELECT SUM(horas) as tot FROM Horas WHERE ano = '2017' and idMes = h.idMes) ,2) as PCT FROM Horas h INNER JOIN Proyecto p ON h.idProyecto = p.idProyecto INNER JOIN Mes m ON h.idMes = m.idMes WHERE h.Ano = 2016 and Proyecto='EL MADRESAL' GROUP BY h.idProyecto, h.idMes";
  //$resultado = mysql_query($query, $internet) or die(mysql_error());
  //$row=mysql_fetch_assoc($resultado);
  echo "[".$meseseano[$i]." ".$anos[$i]."---real=".$subreal1."----PCT=  ]";

}

return $meseseano;
}
?>